/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.77-1
Display is Hardward I2C 2-Wire I2C Interface 
Tested and worked with: 
Works with Raspberry pi
****************************************************/

#include <bcm2835.h>
#include <stdio.h>
#include <time.h>
#include "ssd1312.h"

char value[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
int main(int argc, char **argv)
{
    time_t now;
    struct tm *timenow;
    if(!bcm2835_init())
    {
        return -1;
    }
    printf("OLED begin\r\n");
    SSD1312_begin();
    printf("OLED bitmap\r\n");
    SSD1312_bitmap(0, 0, PIC1, 64, 128);
    SSD1312_display();
    bcm2835_delay(3000);

    I2C_Write_Byte(0xA7, 0X00);
    bcm2835_delay(3000);
    I2C_Write_Byte(0xA6, 0X00);

    printf("OLED clear\r\n");
    SSD1312_clear();
    printf("OLED bitmap\r\n");
    SSD1312_bitmap(0, 0, PIC2, 64, 128);
    SSD1312_display();
    bcm2835_delay(3000);

    I2C_Write_Byte(0xA7, 0X00);
    bcm2835_delay(3000);
    I2C_Write_Byte(0xA6, 0X00);


    printf("OLED clear\r\n");
    SSD1312_clear();
    printf("OLED display time\r\n");
    while(1)
    {
        time(&now);
        timenow = localtime(&now);

        SSD1312_bitmap(0, 0, Signal816, 16, 8); 
        SSD1312_bitmap(19, 0, Msg816, 16, 8); 
        SSD1312_bitmap(38, 0, Bluetooth88, 8, 8); 
        SSD1312_bitmap(52, 0, GPRS88, 8, 8); 
   

	if((timenow->tm_sec % 2)==0)
        SSD1312_string(4, 112, "buydisplay", 12, 0); 
        else
        SSD1312_string(4, 112, "buydisplay", 12, 1);
 
        SSD1312_string(12, 26, "Time:", 16, 0); 


        SSD1312_char(0, 65, value[timenow->tm_hour / 10], 16, 1);
        SSD1312_char(8, 65, value[timenow->tm_hour % 10], 16, 1);
        SSD1312_char(16, 65, ':' , 16, 1);
        SSD1312_char(24, 65, value[timenow->tm_min / 10], 16, 1);
        SSD1312_char(32, 65, value[timenow->tm_min % 10], 16, 1);
        SSD1312_char(40, 65, ':' , 16, 1);
        SSD1312_char(48, 65, value[timenow->tm_sec / 10], 16, 1);
        SSD1312_char(56, 65, value[timenow->tm_sec % 10], 16, 1);



        SSD1312_display();
    }
    bcm2835_i2c_end();
    bcm2835_close();
    return 0;
}

